Getting Started

N5972A Interactive Functional Test Software Installation and Getting Started Guide

Last Updated: 2014-02-13

The N5972A Interactive Functional Test Software along with the 8960 Series 10 (E5515C/E) wireless communications test set (WCTS) and the E6621A PXT WCTS provide a complete solution for performing real-world functional tests on cellular mobile devices. The N5972A software facilitates real-world testing because it is designed to allow simultaneous testing of the various activities that are available in a device. This solution includes a simplified means of setting up the various server applications (for example: FTP, SMS, and InterRAT Handovers) that enable you to perform and test these activities.

To get started using the N5972A software and to ensure that it works properly, there are certain system requirements that must be met and some settings that must be configured. This guide lists these requirements as well as provides step-by-step instructions on installing and configuring Agilent’s N5972A software so you can get started using it as quickly as possible.

  • Interactive Functional Test System Requirements

    • Server PC System Requirements

    • Client PC System Requirements

    • Other Hardware and Software Requirements

  • How to Install the N597X Server Software (on the server PC)

    • NowSMS

    • Apache

    • Filezilla

    • hMailServer

    • Starting the N597X Application Servers

  • How to Install the E6966A IMS-SIP Server/Client Software (Optional)

  • How to Install the N6061A Protocol Logging Software (Optional)

  • How to Install the N5972A Interactive Functional Test Software (on the client PC)

  • How to Get Started with the N5972A Interactive Functional Test Software

  • IP Configuration

Interactive Functional Test System Requirements

Server PC System Requirements

  • An IBM® (or compatible) PC with at least:

  • 1.8 GHz Pentium® Dual Core Processor or better

  • 2 GB RAM minimum

  • 2 GB of available hard disk space

  • LAN Port

  • 2 USB Ports

  • Microsoft® Windows® 7 Professional - English (32 or 64 bits)

Client PC System Requirements

If you intend to use two E6621A PXT instruments in your test setup, you may wish to use another PC with the same requirements as those shown below to run a second version of the N6061A Protocol Logging and Analysis Software. Alternatively, you can use the Server PC already in the system to run a second version of the N6061A software.

  • An IBM® (or compatible) PC with at least:

  • 1.8 GHz Pentium® Dual Core Processor or better

  • Microsoft® Windows® 7 Professional - English (32 or 64 bits)

  • 2 GB RAM minimum

  • 2 GB of available hard disk space

  • LAN Port (a second LAN Port is required for remote operation of the Interactive Functional Test Software) Note: USB to LAN adapters are not currently supported by the Interactive Functional Test software.

  • Microsoft Internet Explorer® version 6.0 or later

  • An installed, configured, and tested Agilent Technologies or National Instruments IEEE 488.2 GPIB interface

  • The latest version of VISA (Virtual Instrument Software Architecture) from the manufacturer of your GPIB card

  • At least one USB 1.1 or later port
    Activities or components that require additional and perhaps 2.0 compatible USB ports are battery profile and testing your device as a modem.

Other Hardware and Software Requirements

N5972A Specific Hardware and Software Requirements

8-port Cable/DSL Router

4 or 5 LAN Cables (number varies depending on which LAN topology you choose)

N5972A-1FP Interactive Functional Test (IFT) Fixed, perpetual license (To obtain your license, follow the instructions on the Software Entitlement Certificate you received upon ordering your software.) All licensing is obtained at: www.agilent.com/find/softwaremanager.

Note: In order to use the Interface type, Automation For Android, you must purchase the N5972A-5FP license.

Note: If you purchase any of the operator test suites, those licenses enable the N5972A software without requiring that you purchase an N5972A-1FP license.

Note: You can trade-in any previous version of IFT (N5970A or N5971A) for an N5972A license.

N5972A Interactive Functional Test Software (You will need to access the web: www.agilent.com/find/N5972A_software)

N597X Interactive Functional Test Software (You will need to access the web: www.agilent.com/find/N5972A_software)

An Agilent 8960 Series 10 (or an Agilent E6621A PXT, see requirements below) Wireless Communications Test Set with one of the following Lab Applications and both of the Fading Licenses:

 Note: Only one test set is required to use IFT.

8960 Lab Application

E6706E or later (1xEV-DO)
E6702E or later (CDMA2000)
E6703H or later (UMTS)
E5515E-004 or later
E5525C-004 or later

8960 Fading License

E5515E-004 or later (fading software license)
E5525C-004 or later (fading hardware license)

An Agilent E6621A PXT (or an Agilent_8960_Series_10, see requirements above) Wireless Communications Test Set with the following feature licenses:

Note: Only one test set is required to use IFT.

Required:

N6050A-7FP (LTE FDD Base Station Emulation)
N6050A-8FP (LTE TDD Base Station Emulation)
N6050AS (LTE Mobile Test Software - software and technical support contract (STSC))
N6052A-1FP (LTE enhanced BSE and IP Data test)

Optional:

E6621A-506 (Frequency range from 350 MHz to 6 GHz)
E6621A-2D2 (Downlink 2x2 MIMO)

External Hardware and Software Requirements

PC with the required specifications listed in the N6061A LTE Protocol Logging and Analysis User's Guide. (This PC is required to view log files for the second PXT when you have two PXT instruments in your test setup.)
Note: Alternatively, you can run the second version of the N6061A logging software on the server PC.

N6061A (LTE Protocol Logging and Analysis Software - N6061A-1TP is the transportable, perpetual license)
Note: You need two N6061A-1TP licenses if you have two PXT instruments in your test setup.

Agilent Power Supply:
To perform the N6705B activity: Use the Agilent N6705B DC Power Analyzer Mainframe with the Agilent N6781A 2-Quandrant SMU for Battery Drain Analysis module. (1 additional non-logging module is also supported)
To perform the 14565B activity: Use the 14565B device characteristic software with any of the following power supplies: 66321B/D, 66319B/D.
Note: The 66319B/D or 66321B/D can be used with or without the 14565B device characteristic software. The 66309B/D or 66311B/D can be used for the standard battery profile activity, but not for the 14565B activity.

E6966A-1FP (Server and Client software - license for server PC)
E6966A-2FP (Client software only - license for Client PC)

Visual Studio 2010 is required for changing the DUT Interface VS2010 Project and for script debugging.

Installing the N597X Server Software (on the server PC)

This section assumes that you have acquired all the items listed in the Interactive Functional Test System Requirements section. If the correct version of the server is already installed, then this section can be skipped. (See the release notes for the version compatibility.)

  1. Close any applications currently running.

  2. Obtain the N597X Interactive Functional Test Software Server at this location: www.agilent.com/find/N5972A_software.
    Note: An access code is required to download the software, which is found on the entitlement certificate you received with the purchase of your software. Follow the instructions on the entitlement certificate to complete the licensing of this product.
    Note: The server software must be installed on the C: drive. Follow the step-by-step instructions during the software installation.

    • Now SMS

The NowSMS server will now be installed. It must be installed in the default installation directory. Do NOT change the installation directory during the install. Once the next screen is selected, these instructions will no longer be available so it would be advisable to copy or print them for future reference. The NowSMS server requires an activation code which you will need to load. When the NowSMS installation begins, respond in the method below to the questions so you can install the activation code. It is important that you respond to these questions in a timely manner. If you are delayed in responding to these questions, you will be prompted to start the Apache Server installation. Please complete the NowSMS installation before continuing with the Apache Server installation. You may have to move the Apache Server installation window to access the NowSMS windows.

      1. If prompted that "xx days remain in your NowSMS2006 trial period", push OK.

      2. If prompted to "Select Installation Option", press "Install with a purchased serial number", or if prompted "Do you have a new activation code to install, or wish to request an activation code?", push OK.

      3. Click Yes, when asked "Do you already have this activation code?"

      4. Select "Load from File" when asked to "Enter NowSMS Activation Code".

      5. When the open dialog box appears, navigate to the location where the installer files were extracted and select the file called "NowSMS-Serial-Number-89600050.txt".

      6. Click Open.

    • Apache

The Apache Server will now be installed and configured. If your security software prompts you that it has blocked the Apache HTTP Server, please Unblock the Apache HTTP Server.

    • Filezilla

The Filezilla server will now be installed. When the Connect to Server information appears, check the "Always connect to this server" check box and then select OK.

  • hMailServer

The hMailServer will now be installed. You will be prompted to enter a password and multiple mail accounts will be set up.

During the hMailServer Installation you will be prompted with an error message which says “The two passwords must match and be at least 5 characters long”. Press OK and proceed to the hMailServer Security screen where you need to add the password ‘ift08’ where 0 is a zero. Press OK and you will be prompted with a ‘Completing the hMailServer Setup Wizard’ dialog box. Do NOT close or push the ‘Finish’ button at this time.

After the Server installation has finished, do the following to complete the hMailServer installation:

The hMailServer dialog box should still be open. Find the dialog box with the title Completing the hMailServer Setup Wizard. If the dialog box has been closed, then select Start>Programs>hMailServer>hMailServer Administrator.

1) On the hMailServer Administrator screen, make sure the Run hMailServer Administrator box is checked, the click the Finish button.

2) You will be prompted to connect to the hMailServer Administrator. Select the Automatically connect on start-up check box then press the ‘Connect’ button.

3) You will be prompted to enter the password. Enter the password ‘ift08’ where 0 is a zero.

4) Click the OK button.

5) The hMailServer administrator will start. It is through the administrator that you enter new email accounts for the email activities. A default account is already configured for the IFT client. However, you will need to create an additional account for each phone you are using.

Starting the N597X Application Servers

The applications servers start automatically once they have been installed. Ensure the following:

  • Apache is running as a service

  • FileZilla is running as a service

  • UDPServer is running

  • NowSMS is running as a service

  • hMailServer is running as a service

Installing the E6966A IMS-SIP Server (and optional Client) Software on the server PC

If you intend to use Internet Protocol Multimedia Subsystem - Session Initiation Protocol (IMS-SIP) as part of your test setup, now is the time to install this on the server PC. Use the installation instructions that came with your purchase of this software, which is also located here:

http://cp.literature.agilent.com/litweb/pdf/E6966-90001.pdf

Installing the N6061A Protocol Logging Software on the client PC

If you intend to use the E6621A PXT as part of your test setup, now is the time to install the N6061A Protocol Logging Software on the client PC. Use the installation instructions that came with your purchase of this software, which is also located here:

http://cp.literature.agilent.com/litweb/pdf/E6621-90004.pdf

If you intend to use two E6621A PXT instruments in your test setup, you can either provide another PC with the same requirements as those shown above or you can use the server PC. (This PC is required to run a second version of the N6061A Protocol Logging and Analysis Software.)

Installing the N5972A Interactive Functional Test Software (on the client PC)

This section assumes that you have acquired all the items listed in the Interactive Functional Test System Requirements section and have finished Installing the N597X Server Software (on the server PC).

  1. Install the GPIB interface and set up the GPIB VISA drivers.

  2. Close any Microsoft Windows® applications that are running.

  3. Download the N5972A Software from: www.agilent.com/find/N5972A_software.

    1. Locate and double-click the downloaded "N5972A_w_x_y_z.exe“ file. Note that "w_x" represent the revision of the software and "y_z" are for Agilent internal use only.

    2. Select "Unzip". If you do not choose "Browse" to change the location where the files are unzipped, they will be located here: C:\Temp\N5972A_w_x_y_z.

    3. Close the self-extractor window.

    4. Open the newly unzipped folder and select "N5972A_Setup.exe". (You may get a pop-up message stating that you need to install Microsoft .NET framework. Select "Install" and wait for this installation to complete.)

    5. A "Welcome to the Agilent N5972A ..." software installation screen now appears. Select "Next" and follow the remaining instructions to complete the installation.

Note: The E6584A Wireless Protocol Advisor (WPA) is also required and must be installed at this time. At the end of the Interactive Functional Test Software installation, you need to download WPA revision A.10.00 or above, which can be accessed via the WPA product page located at www.agilent.com/find/E6584A under the tab Downloads & Trials.

Getting Started with the N5972A Interactive Functional Test Software

This section assumes that you have acquired all the items listed in the Interactive Functional Test System Requirements section, have finished Installing the N597X Server Software (on the server PC), and have finished Installing the N5972 Interactive Functional Test Software (on the client PC).

  1. Connect a GPIB cable between the client GPIB interface and the test set(s). A power supply is required to analyze the battery profile of the DUT and can be added at any time. The power supplies that are currently supported are listed under Agilent_Power_Supply, above.

    Note: The 14565B Battery Profile activity requires a dedicated GPIB bus (separate from the GPIB bus used by the test set(s)) and also requires a 66319/21 B or D with the 14565B device characteristic software. Refer to Agilent_Power_Supply above, for more information.

    Note: The N6705B Battery Profile activity requires the N6705 DC Power Analyzer Mainframe and the N6781A battery drain analysis software module. (IFT supports no more than two N6705 modules.) Refer to Agilent_Power_Supply above, for more information.

     Note: If you plan to use a second test set, connect the GPIB cable of the second test set at this time. Refer to Multiple_Test_Set_Requirements for more information on configuring more than one test set.

Figure 1: N5972A Maximal Configuration Setup

* Refer to Agilent Power Supply above, to determine what is required to perform all battery profile activities.

  2. If you want your client to access the Internet, configure your LAN interface device and your LAN settings to provide access to your company intranet and Internet. Verify that the client PC can access the Internet. (See Proxy Server Settings.) Note, at this point it is assumed that the router is not being used, and that, if an Internet connection through the client PC is desired, the client PC is connected directly to your company Internet.
    Note: If your system has only one PXT, then a LAN switch or LAN hub is adequate. In this case, the PXT gateway must be set to the IP address of the IFT Server (default 192.168.1.230).

  3. Start the N5972A Interactive Functional Test Software.

  4. Select the Configuration tab.

  5. In the list of Available configurations, select Instrument Control.

  6. In the Instrument Control screen, select the proper GPIB interface and GPIB address for test set 1 (and the power supply, if applicable - again, the 14565B Battery Profile activity requires a 2nd GPIB cable and configured properly in the Instrument Control screen). Click the *IDN? button to test if you have set up the GPIB settings correctly. The *IDN? results are displayed in the *IDN? results field. Note: If you do not want the Interactive Functional Test Software to check the test set for the correct lab application and prefer to use the lab application that is currently installed, check the Use Current LA box.

    Note: In order to help configure IFT with the instrument GPIB addresses, you can use the Find Instruments button to reveal the GPIB addresses.
    Note: If you plan to use a second test set, you should select the GPIB address for the second test set in the Instrument Control screen at this time. For more information on configuring a second test set, see IP Configuration.

  7. Right-click the test set connection Status Monitor located at the bottom left corner of the screen. The first time the Interactive Functional Test Software is started, the Status Monitor (located at the bottom left corner of the application) displays an error message with a red background. To enable the Status Monitor, right-click anywhere on the bottom area of the application and select “Enable Status Monitor”.

    Note    : When the Status Monitor is enabled, the connection status is monitored periodically based on the Repeat Time. To configure the 8960/PXT via the front panel, disable the status monitor to prevent IFT from putting the 8960/PXT in Remote mode.

    When Interface type is set to Automation For Android, this drop-down menu has the following status or options:

    • No Device

    • Device Attached

    • Device Automation Active

    • Initialize IFT Automation app: Performs the same function as Initialize Device from the DUT Configuration screen.

    • Clear IFT Automation app: Performs the same function as Clear Device from the DUT Configuration screen.

  8. Wait for the test set connection Status Monitor to update and Test Set Application status to update. Once they have, right-click again on the test set connection Status Monitor and select "Disable Status Monitor". Verify that the instrument error message goes away.

  9. In the Available configurations list, select LAN Topologies. Unless you are an experienced user, leave the default LAN topologies set as they are. For more information on selecting the appropriate LAN topology for your system, refer to LAN Topologies supported by the Interactive Functional Test Software.

Setup the LAN Topologies

  1. Select the Configuration tab.

  2. Select LAN Topologies>>Default LAN Setting>>Topology Settings.

  3. Set the Topology Settings as desired (if different from the defaults). If you are using one test client, then you should not have to change the defaults. If you are using more than one test client, set the Test System index to the next value and press Calculate Addresses to get a new default address for the next test system.

Setup the Router With Internet Connection

  1. View the router Setup screen using a web browser and http to the router setup page. The default user name is usually admin with a password of admin, but check with the documentation that came with the router.

  2. Set Local IP Address to 192.168.1.10 or the setting desired base on your LAN Topology settings.

  3. Set the "Network Setup" "Local DHCP Server to "Disable".

  4. Push the "Save Settings" button

Setup the Router Without Internet Connection

  1. View the router Setup screen using a web browser and http to the router setup page. The default user name is usually admin with a password of admin.

  2. Set Local IP Address to 192.168.1.10 or the setting desired base on your LAN Topology settings.

  3. Set the "Subnet mask" to 255.255.255.0.

  4. Set the "Network Setup" "Local DHCP Server" to "Disable".

  5. Set the "Start IP Address" to the Local IP address plus 1.

  6. Set the "Number of DHCP users" to 10.

  7. Push the "Save Settings" button.

  8. Set all the LAN interfaces (Local and DUT) on the PCs to use the router Local IP address (usually 192.168.1.10) as the Default gateway.

Verify the Connections

  1. On the Configurations tab, select Connections Integrity. Press each Check button to test the configuration. You can also select, Check All Functions to test all connections in the system. (See Connections Integrity for more information.)

  2. If all the Connections Integrity fields show OK, then you are ready to add a Device Under Test (DUT) to the Interactive Functional Test Software.

  3. Add the DUT to the Interactive Functional Test Software. (Adding a DUT requires several steps, see How To Add a DUT.)

  4. Once the DUT is properly configured and connected as shown in Figure 1, above, you can perform any of the various interactive testing activities that are available under the Interactive Testing tab.

Back to Top


Configuration Requirements

IP Configuration

Last Updated: 2014-02-13

This topic provides information on the following IP configuration:

  • Component Addresses

  • Setting the Gateway IP Address

  • Setting the E-EPC-E Address

  • Multiple Test Set Requirements

Component Addresses

The following table summarizes the IP and GPIB addresses of the components that make up the IFT system.

Table 1: Component Addresses

Component | GPIB Address | IP Address | Subnet Mask | Gateway
IFT Client PC |  | 192.168.1.11 | 255.255.255.0 | See Table 2, below.
IFT Server PC |  | 192.168.1.230 | 255.255.255.0
IFT PXT Logging PC1 (Optional) |  | 192.168.1.50 | 255.255.255.0
Router (Optional) |  | 192.168.1.10 | 255.255.255.0
Power Supply (Optional) | 10 |  |
Test Set 12,3 | 14 |  |
DUT IP Address4,5,6,7 |  | 192.168.1.12 |
LAN IP Address |  | 192.168.1.13 | 255.255.255.0
LAN IP Address 2 (Data+); 8960 only |  | 192.168.1.14 | 255.255.255.0
Test Set 2 (Optional)2,3 | 15 |  |
DUT IP Address4,5,6,7 |  | 192.168.1.15 |
LAN IP Address8 |  | 192.168.1.16 | 255.255.255.0
LAN IP Address 2 (Data+); 8960 only |  | 192.168.1.17 | 255.255.255.0
E-EPC-E (Optional) | Refer to Setting_the_E-EPC-E_Address, below.

Table 1 Footnotes:

    1. This component is required if your system has two or more PXTs AND you do not want to use the Server PC for the additional N6061A software logging. Note that only one instance of the N6061A logging software can run at a time and therefore an additional PC is required for each additional (more than one) PXT in the system. The first N6061A software logging tool is loaded on the Client PC.

    2. The 8960 IP address settings are accessed via System Config > F1. It is labeled on the 8960 display as “Instrument Setup” and is often referred to as “F1 – Instrument Setup”.

    3. The PXT IP address settings are accessed via the TCP/IP Setup menu. To access this menu, select Config > Network Setup > IP Setup. Make your changes and then select OK.
      Note: Currently you must always set the PXT IP address manually.

    4. The DUT IP address is assigned by the 8960 if it is not connected to the E-EPC-E.

    5. The DUT IP address is assigned from the E-EPC-E range if the 8960 is connected to it, and the DUT is connecting to a non-LTE radio format. (Note that the 8960 can only be connected to the E-EPC-E to retrieve IP addresses in GGE, eHRPD, and WCDMA. In 1xRTT and HRPD there is no access to the E-EPC-E.) It is recommended that you set the 8960 IP address to the E-EPC-E assigned DUT IP address.

    6. The DUT IP address is assigned from the scenario file on the PXT when the DUT connects to LTE.

    7. If there are two 8960s, both having the same DUT address, then it is necessary to delete the ARP tables on the IFT client and server PCs. If there is a router in the system, then it needs to be power cycled to clear its ARP tables. (This prevents the IP packets from routing to the first MAC address which replied as owning the DUT IP address.)

    8. IFT requires that the last value of the IP address for test set 2 to be the value for test set 1 plus 3. This is handled automatically if you do not have a PXT in your test system. If you change the IP address of test set 1 (as described in Default LAN Settings) and test set 2 is a PXT you must manually change the last value of the PXT IP address as per the above rule. For example: If you change the IP address of test set 1 to 192.168.1.11 you must then set the PXT IP address to 192.168.1.14.

Setting the Gateway IP Address

The system configuration determines the Gateway IP addresses required.

Table 2: Gateway IP Addresses

System Configuration | Gateway Address
8960, PXT, and no router | Set all to the IP address of the PXT. The PXT gateway address must be set to the IP address of the IFT server (192.168.1.230).
8960, PXT, and router | Set all gateway addresses to the IP address of the router (192.168.1.10), except the router itself. The router must be configured to the gateway of any external company network (WAN gateway).
Two 8960s and router
Two PXTs (router is mandatory)
Two 8960s and no router | You do not need to specify the gateway IP address.

Setting the E-EPC-E Address

Setting the E-EPC-E (EPC) IP addresses is only necessary if there are one or more PXTs in the configured system, and if the PXT is to be used in conjunction with an 8960. You must connect a (USB) mouse and keyboard to the PXT to be able to configure the EPC.

  1. To access the EPC setup menu, using the mouse, right-click on the orange icon in the task bar at the bottom of the PXT MS Windows screen and select "Setting", as shown below.

The following window is displayed:

  2. Use the mouse and keyboard you connected to the PXT (LTE), to insert the setting values required by the scenario file you are using.

Note: The values on the EPC do not change with the scenario file contents.

Before you enable any IP context on the 8960 or activate any Default Bearer on the PXT (LTE), the 8960 must be connected to the EPC and the scenario must be running. (Initiating an 8960/EPC connection and starting the scenario file causes the EPC to be reset.) This is achieved by using the Connect button on the above window, or by initiating the connection from the appropriate page on the 8960. Before continuing, ensure that the 8960 reports the “EPC Connection Status” as “Connected”.

Note: The 8960 can only be connected to the EPC to retrieve IP addresses in GGE, eHRPD, and WCDMA. In 1xRTT and HRPD there is no access to the EPC.

  3. Set the other parameters as follows:

EPC Field

Setting/Description

Gateway Setting

The gateway address setting must always be configured to match that of the PXT when the EPC is used.

8960: LAN IP Address 2 (Data+)
IPv4

See Table_1:_Component_Addresses, above.

Alternative UE IP:
IPv4 Range

This is the IPv4 address range used when:

  • The 8960 attached DUT requests an IPv4 address

  • The 8960 is EPC connected

Note: This must match any PXT scenario file in use if you are intending to do interRAT handovers involving cdma2000 technologies.

Alternative UE IP:
IPv6 Range

This is the IPv6 address range used when:

  • The 8960 attached DUT requests an IPv6 address

  • The 8960 is EPC connected.

Note: This must match any PXT scenario file in use if you are intending to do interRAT handovers involving cdma2000 technologies. (Automated handovers with the PXT are only available using the Agilent IFT Automation Scripts for Verizon Wireless Compliance Test Plans (N5973A) software.)

Two PXTs

  • Include a router (IPv4/v6).

  • Set the gateway of all instruments and computers to that of the router.

Note: For GGE and WCDMA, handovers are identified using Netscape Server Application Programming Interface (NSAPI). These handovers work properly even if the ranges do not match those in the scenario file. If you wish to deactivate and reactivate contexts with the same IP address set, you must have the ranges match those contained in the scenario file.

Multiple Test Set Requirements

Because the 8960 and PXT have quite different architectures and User Interfaces, there are some unique requirements that must be taken into account when you have multiple test sets in your system.

System Configuration

Setup

Two 8960s where you want the same IP address presented to DUT.

Set the cell to be off on one 8960.

One 8960 and one PXT

  • The IP addresses must be allocated via the
    E-EPC-E.

  • The 8960 must be set to Connect to EPC.

Two PXTs

  • Include a router (IPv4/v6).

  • Set the gateway of all instruments and computers to that of the router.

Notes: Reference Note 3 and Note 8 above for further clarification when configuring multiple test sets.